package sprzedaz.obiektowo;

import java.math.BigDecimal;
import java.util.List;
import java.util.Objects;

import javax.swing.JOptionPane;

public class P2_SumaJednegoMiasta_v3 {

    public static void main(String[] args) {
        List<Transakcja> transakcje = ObslugaCSV.wczytaj("sprzedaz.csv");
        String miasto = JOptionPane.showInputDialog("Podaj nazwę miasta:");

        BigDecimal suma = BigDecimal.ZERO;
        for(Transakcja transakcja : transakcje) {
            if(Objects.equals(miasto, transakcja.getMiasto())) {
                suma = suma.add(transakcja.getCena().multiply(BigDecimal.valueOf(transakcja.getSztuk())));
            }
        }
        JOptionPane.showMessageDialog(null, "Suma z wybranego miasta: " + suma);
    }

}
